Subject: bug#49724: 27.2; Tramp /sudoedit:: does not preserve file security context

From: Michael Albinus <[email-masked]>
Date: Sun, 25 Jul 2021 16:05:51 +0200

[email-masked] writes:

>> This means that the password hasn't been cached. The sudoedit method
>> does not keep a running session in the background, so every operation
>> could require authentication.
>>
>
> No matter how many times I retype the password, it doesn't work, keeps repeatedly asking for password. It works if I don't use emacs -Q, but use my own emacs configuration. How should I solve it for emacs -Q?

I see. As said, caching is disabled when "emacs -Q" is called. This is a
problem for the sudoedit method. Could you try instead

emacs -Q --eval '(setq tramp-cache-read-persistent-data t)'

Best regards, Michael.